_PurpleLog Struct Reference

A log. More...

`#include <log.h>`

## Data Fields

PurpleLogType | type
| The type of log this is.
char * | name
| The name of this log.
PurpleAccount * | account
| The account this log is taking place on.
PurpleConversation * | conv
| The conversation being logged.
time_t | time
| The time this conversation started, converted to the local timezone.
PurpleLogLogger * | logger
| The logging mechanism this log is to use.
void * | logger_data
| Data used by the log logger.
struct tm * | tm
| The time this conversation started, saved with original timezone data, if available and if struct tm has the BSD timezone fields, else `NULL`. More...

## Detailed Description

A log.

Not the wooden type.

Definition at line 124 of file log.h.

## Field Documentation

## tm

struct tm* _PurpleLog::tm

The time this conversation started, saved with original timezone data, if available and if struct tm has the BSD timezone fields, else `NULL`.

Do NOT modify anything in this struct.

Definition at line 136 of file log.h.

The documentation for this struct was generated from the following file:

- log.h